# Interface IDocumentPartitioningListener

public interface IDocumentPartitioningListener
Interface of objects which are interested in getting informed about changes of a document's partitioning.

Clients may implement this interface.

In order to provided backward compatibility for clients of `IDocumentPartitioningListener`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IDocumentPartitioningListenerExtension` since version 2.0 replacing the original notification mechanism.
- `IDocumentPartitioningListenerExtension2` since version 3.0 replacing all previous notification mechanisms. Thus, implementers up-to-date with version 3.0 do not have to implement `IDocumentPartitioningListenerExtension`.

See Also:
  - `IDocumentPartitioningListenerExtension`
  - `IDocumentPartitioningListenerExtension2`
  - `IDocument`
  - `IDocumentPartitioner`

## Method Summary

Modifier and Type
Method
Description
`void`
`documentPartitioningChanged(IDocument document)`
The partitioning of the given document changed.

## Method Details

### documentPartitioningChanged

void documentPartitioningChanged(IDocument document)
The partitioning of the given document changed.

In version 2.0 this method has been replaces by `IDocumentPartitioningListenerExtension.documentPartitioningChanged(IDocument, IRegion)`.

In version 3.0 this method has been replaces by `IDocumentPartitioningListenerExtension2.documentPartitioningChanged(DocumentPartitioningChangedEvent)`

Parameters:
  `document` - the document whose partitioning changed
See Also:
  - `IDocumentPartitioningListenerExtension.documentPartitioningChanged(IDocument, IRegion)`
  - `IDocumentPartitioningListenerExtension2.documentPartitioningChanged(DocumentPartitioningChangedEvent)`
  - `IDocument.addDocumentPartitioningListener(IDocumentPartitioningListener)`